/*
 *
 * [BaseV_afficheParamConsole]
 * debug : show contents of configuration file in memory
 */
#include "Tools/Viewer/Bdd/include/BaseV.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     
  void BaseV::afficheParamConsole(){
    string tab;
    int i;
    QList<morpheo::tools::viewer::bdd::Param> p;
    for(QList<morpheo::tools::viewer::bdd::Group>::iterator it=groups->begin();it!=groups->end();++it)
      {
	tab=" ";
	cout << "-------------- Group ------------------" << endl;
	if(it->getLevel()!=0)
	  {
	    for(i=0;i<it->getLevel();i++)
	      {
		tab.append("              ");
	      }
	  }
	cout <<tab<<"name :" << it->getName() <<endl;
	cout <<tab<< "level :" << it->getLevel() <<endl;
	cout <<tab<< "           ---------paramS------------" <<endl  ;

	p=it->getParam();
	for(QList<morpheo::tools::viewer::bdd::Param>::iterator it2=p.begin();it2!=p.end();++it2)
	  {
	    cout <<tab<< "           ---------param------------" <<endl  ;
	    cout <<tab<<"name :" << it2->getName() <<endl;
	    cout <<tab<< "value :" << it2->getValue() <<endl;
	    cout <<tab<< "group :" << it2->getGroup() <<endl;
	
	  }//for
	
      }//for
	 
  }
  
};//end bdd
};//end viewer
};//end tools
};//end morpheo
